apt 3.1.11 commandline package manager

Public Member Functions | List of all members
Configuration::MatchAgainstConfig Class Reference

match a string against a configurable list of patterns More...

`#include <apt-pkg/contrib/configuration.h>`

Inheritance diagram for Configuration::MatchAgainstConfig:

## Public Member Functions
| MatchAgainstConfig (char const *Config)
bool | Match (char const *str) const
| Returns true for a string matching one of the patterns.
bool | Match (std::string const &str) const
bool | wasConstructedSuccessfully () const
| returns if the matcher setup was successful

## Detailed Description

match a string against a configurable list of patterns

The documentation for this class was generated from the following files:

- apt-pkg/contrib/configuration.h
- apt-pkg/contrib/configuration.cc